---
  extends: eslint:recommended
  env:
    node: true
    mocha: true
    es6: true
#  parser: typescript-eslint-parser
  plugins:
    - typescript
  parserOptions:
    sourceType: module
    ecmaFeatures:
      modules: true
  rules:
    no-unused-vars: 0
    typescript/no-unused-vars: error
    generator-star-spacing:
      - 1
      - before: true
        after: true
    no-shadow: 0
    import/no-unresolved: 0
    import/extensions: 0
    comma-dangle:
      - 0
    no-underscore-dangle: 0
    no-console: off
    no-control-regex: 0
    func-names: 0
    no-unused-expressions: 0
    no-undef: 0
    prefer-arrow-callback: 1
    no-use-before-define:
      - 2
      - functions: false
    space-before-function-paren:
      - 2
      - always
    max-len:
      - 2
      - 120
      - 2
    semi: 0
    strict:
      - 2
      - global
    arrow-parens:
      - 2
      - always
